#! /usr/bin/perl -w



$concept = $ARGV[0];
$path = $ARGV[1];
#$path = "./predict/logs/$concept/";
opendir(MODS, $path) || die("Cannot open directory $path");
@files = readdir(MODS);
closedir(MODS);

foreach $line (@files)
{
    if($line eq "." || $line eq "..")
    {
	next;
    }
    
    if($line =~/^$concept\-.*[_]([0-9\.]*)[_]([0-9\.]*)[_]([0-9]*)[\.]mod[\.]([0-9]*).*\.n\.sout/)
    {
	open F, $path.$line;
	$percent = -1;
	while(<F>)
	{
	    if($_ =~ /Accuracy\ =\ ([0-9\.]*)%.*/)
	    {
		$percent = $1;
	    }
	}
	close(F);
	print "$1 $2 $3 $4 n $percent";
	print "\n";
	next;
    }

    if($line =~/^$concept\-.*[_]([0-9\.]*)[_]([0-9\.]*)[_]([0-9]*)[\.]mod[\.]([0-9]*).*\.p\.sout/)
    {
	open F, $path.$line;
	$percent = -1;
	while(<F>)
	{
	    if($_ =~ /Accuracy\ =\ ([0-9\.]*)%.*/)
	    {
		$percent = $1;
	    }
	}
	close(F);
	print "$1 $2 $3 $4 p $percent";
	print "\n";
	next;
    }
    
    if($line =~/^$concept\-.*[_]([0-9\.]*)[_]([0-9\.]*)[_]([0-9]*)[\.]mod\.n\.sout/)
    {
	open F, $path.$line;
	$percent = -1;
	while(<F>)
	{
	    if($_ =~ /Accuracy\ =\ ([0-9\.]*)%.*/)
	    {
		$percent = $1;
	    }
	}
	close(F);
	print "$1 $2 $3 -1 n $percent";
	print "\n";
	next;
    }

    if($line =~/^$concept\-.*[_]([0-9\.]*)[_]([0-9\.]*)[_]([0-9]*)[\.]mod\.p\.sout/)
    {
	open F, $path.$line;
	$percent = -1;
	while(<F>)
	{
	    if($_ =~ /Accuracy\ =\ ([0-9\.]*)%.*/)
	    {
		$percent = $1;
	    }
	}
	close(F);
	print "$1 $2 $3 -1 p $percent";
	print "\n";
	next;
    }
    
    print "error $line\n";
    
}

            